<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Hello World</title>
    <link rel="stylesheet" href="./style.css" />
  </head>

  <body>
    <header>
      <h1>Les Bases de l'HTML et du CSS</h1>
      <nav>
        <h2>HTML</h2>
        <ul>
          <li><a href="./index.html#sec-text">Le Texte</a></li>
          <li><a href="./index.html#sec-list">Les Listes</a></li>
          <li><a href="./index.html#sec-anchor">Les Ancres</a></li>
          <li><a href="./index.html#sec-picture">Les Images</a></li>
          <li><a href="./index.html#sec-table">Les Tableaux</a></li>
          <li><a href="./index.html#sec-forms">Les Formulaires</a></li>
        </ul>
        <h2>CSS</h2>
        <ul>
          <li><a href="./index.html#sec-text-style">Text Styling</a></li>
          <li><a href="./index.html#sec-table-style">Tableaux stylisés</a></li>
          <li><a href="./positioning.html">Le Positionement</a></li>
          <li><a href="./flexboxes.html">Les Flexboxes</a></li>
          <li><a href="./grids.html">Les Grilles</a></li>
        </ul>
      </nav>
    </header>

    <main>
      <section id="sec-position">
        <h2>Le Positionnement</h2>
        <h3>Le positionnement statique (par défaut)</h3>
        <div class="pos-container" id="pos-container-static">
          <div class="divA">
            <span>Div A</span>
          </div>
          <div class="divB">
            <span>Div B</span>
          </div>
          <div class="divC">
            <span>Div C</span>
          </div>
        </div>

        <h3>Le positionnement relatif</h3>
        <div class="pos-container" id="pos-container-relative">
          <div class="divA">
            <span>Div A</span>
          </div>
          <div class="divB">
            <span>Div B</span>
          </div>
          <div class="divC">
            <span>Div C</span>
          </div>
        </div>

        <h3>Le positionnement absolu</h3>
        <div class="pos-container" id="pos-container-absolute">
          <div class="divA">
            <span>Div A</span>
          </div>
          <div class="divB">
            <span>Div B</span>
          </div>
          <div class="divC">
            <span>Div C</span>
          </div>
        </div>

        <h3>Le positionnement fixe</h3>
        <div class="pos-container" id="pos-container-fixed">
          <div class="divA">
            <span>Div A</span>
          </div>
          <div class="divB">
            <span>Div B</span>
          </div>
          <div class="divC">
            <span>Div C</span>
          </div>
        </div>
      </section>
    </main>
  </body>
</html>
